import * as budgets from 'aws-cdk-lib/aws-budgets';
import * as sns from 'aws-cdk-lib/aws-sns';
import { Construct } from 'constructs';
import { SlackChannel } from '../account-chatbots';
export interface BudgetSubscribers {
    readonly emails?: string[];
    readonly slack?: SlackChannel;
}
export interface DlzBudgetProps {
    readonly name: string;
    readonly amount: number;
    readonly forTags?: Record<string, string>;
    readonly subscribers: BudgetSubscribers;
}
export declare class DlzBudget {
    readonly cfnBudget: budgets.CfnBudget;
    readonly notificationTopic: sns.Topic;
    constructor(scope: Construct, id: string, props: DlzBudgetProps);
}
