import { DlzControlTowerControlFormat, IDlzControlTowerControl, DlzControlTowerStandardControls } from '../index';
/**
 * Detect Amazon RDS database instances that allow public access.
 *
 * Format: Legacy Control
 * https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#disallow-rds-public-access
 */
export declare class AWS_GR_RDS_SNAPSHOTS_PUBLIC_PROHIBITED implements IDlzControlTowerControl {
    readonly controlFriendlyName = DlzControlTowerStandardControls['AWS_GR_RDS_SNAPSHOTS_PUBLIC_PROHIBITED'];
    readonly description = "Detect Amazon RDS database instances that allow public access.";
    readonly format = DlzControlTowerControlFormat.LEGACY;
    readonly externalLink = "https://docs.aws.amazon.com/controltower/latest/userguide/strongly-recommended-controls.html#disallow-rds-public-access";
    readonly controlIdName: {
        euWest1: string;
        usEast1: string;
    };
}
