import { Environment } from 'aws-cdk-lib/core/lib/environment';
import { ExpressStage, ExpressStack } from 'cdk-express-pipeline';
import { Construct } from 'constructs';
export interface DlzStackNameProps {
    readonly ou?: string;
    readonly account?: string;
    readonly stack: string;
    readonly region: string;
}
export interface DlzStackProps {
    readonly name: DlzStackNameProps;
    readonly env: Environment;
    readonly stage: ExpressStage;
}
export declare class DlzStack extends ExpressStack {
    readonly accountName: string;
    readonly accountId: string;
    constructor(scope: Construct, props: DlzStackProps);
    /**
     * Create unique ResourceNames
     * @param resourceId
     */
    resourceName(resourceId: string): string;
}
