import { DlzStack } from '../../../../constructs/index';
import { DataLandingZoneProps, GlobalVariables } from '../../../../data-landing-zone-types';
export declare class Shared {
    private stack;
    private props;
    private globals;
    constructor(stack: DlzStack, props: DataLandingZoneProps, globals: GlobalVariables);
    createVpcPeeringConnections(): void;
    /**
     * Returns undefined if the Peering Connection has been created between the accounts
     * @param fromAccountId
     * @param fromVpc
     * @param toAccountId
     * @param toVpc
     * @private
     */
    private createPeeringConnection;
    /**
     * Get the peer role ARN for the VPC Peering connection if the peering request is from a different account.
     * If the peering request is from the same account, return undefined.
     * @param fromAccountId
     * @param toAccountId
     * @private
     */
    private getPeerRoleArn;
}
