import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListCostAllocationTagBackfillHistoryCommand, se_ListCostAllocationTagBackfillHistoryCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class ListCostAllocationTagBackfillHistoryCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSInsightsIndexService", "ListCostAllocationTagBackfillHistory", {})
    .n("CostExplorerClient", "ListCostAllocationTagBackfillHistoryCommand")
    .f(void 0, void 0)
    .ser(se_ListCostAllocationTagBackfillHistoryCommand)
    .de(de_ListCostAllocationTagBackfillHistoryCommand)
    .build() {
}
