import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DescribeGroupResponseFilterSensitiveLog, } from "../models/models_0";
import { de_DescribeGroupCommand, se_DescribeGroupCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeGroupCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIdentityStore", "DescribeGroup", {})
    .n("IdentitystoreClient", "DescribeGroupCommand")
    .f(void 0, DescribeGroupResponseFilterSensitiveLog)
    .ser(se_DescribeGroupCommand)
    .de(de_DescribeGroupCommand)
    .build() {
}
