import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeGroupMembershipCommand, se_DescribeGroupMembershipCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DescribeGroupMembershipCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AWSIdentityStore", "DescribeGroupMembership", {})
    .n("IdentitystoreClient", "DescribeGroupMembershipCommand")
    .f(void 0, void 0)
    .ser(se_DescribeGroupMembershipCommand)
    .de(de_DescribeGroupMembershipCommand)
    .build() {
}
