import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { IdentitystoreClientResolvedConfig } from "../IdentitystoreClient";
export interface IdentitystoreHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface IdentitystoreHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    IdentitystoreClientResolvedConfig,
    HandlerExecutionContext,
    IdentitystoreHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultIdentitystoreHttpAuthSchemeParametersProvider: (
  config: IdentitystoreClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<IdentitystoreHttpAuthSchemeParameters>;
export interface IdentitystoreHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<IdentitystoreHttpAuthSchemeParameters> {}
export declare const defaultIdentitystoreHttpAuthSchemeProvider: IdentitystoreHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: IdentitystoreHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: IdentitystoreHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
