import { createAggregatedClient } from "@smithy/smithy-client";
import { AttachCustomerManagedPolicyReferenceToPermissionSetCommand, } from "./commands/AttachCustomerManagedPolicyReferenceToPermissionSetCommand";
import { AttachManagedPolicyToPermissionSetCommand, } from "./commands/AttachManagedPolicyToPermissionSetCommand";
import { CreateAccountAssignmentCommand, } from "./commands/CreateAccountAssignmentCommand";
import { CreateApplicationAssignmentCommand, } from "./commands/CreateApplicationAssignmentCommand";
import { CreateApplicationCommand, } from "./commands/CreateApplicationCommand";
import { CreateInstanceAccessControlAttributeConfigurationCommand, } from "./commands/CreateInstanceAccessControlAttributeConfigurationCommand";
import { CreateInstanceCommand, } from "./commands/CreateInstanceCommand";
import { CreatePermissionSetCommand, } from "./commands/CreatePermissionSetCommand";
import { CreateTrustedTokenIssuerCommand, } from "./commands/CreateTrustedTokenIssuerCommand";
import { DeleteAccountAssignmentCommand, } from "./commands/DeleteAccountAssignmentCommand";
import { DeleteApplicationAccessScopeCommand, } from "./commands/DeleteApplicationAccessScopeCommand";
import { DeleteApplicationAssignmentCommand, } from "./commands/DeleteApplicationAssignmentCommand";
import { DeleteApplicationAuthenticationMethodCommand, } from "./commands/DeleteApplicationAuthenticationMethodCommand";
import { DeleteApplicationCommand, } from "./commands/DeleteApplicationCommand";
import { DeleteApplicationGrantCommand, } from "./commands/DeleteApplicationGrantCommand";
import { DeleteInlinePolicyFromPermissionSetCommand, } from "./commands/DeleteInlinePolicyFromPermissionSetCommand";
import { DeleteInstanceAccessControlAttributeConfigurationCommand, } from "./commands/DeleteInstanceAccessControlAttributeConfigurationCommand";
import { DeleteInstanceCommand, } from "./commands/DeleteInstanceCommand";
import { DeletePermissionsBoundaryFromPermissionSetCommand, } from "./commands/DeletePermissionsBoundaryFromPermissionSetCommand";
import { DeletePermissionSetCommand, } from "./commands/DeletePermissionSetCommand";
import { DeleteTrustedTokenIssuerCommand, } from "./commands/DeleteTrustedTokenIssuerCommand";
import { DescribeAccountAssignmentCreationStatusCommand, } from "./commands/DescribeAccountAssignmentCreationStatusCommand";
import { DescribeAccountAssignmentDeletionStatusCommand, } from "./commands/DescribeAccountAssignmentDeletionStatusCommand";
import { DescribeApplicationAssignmentCommand, } from "./commands/DescribeApplicationAssignmentCommand";
import { DescribeApplicationCommand, } from "./commands/DescribeApplicationCommand";
import { DescribeApplicationProviderCommand, } from "./commands/DescribeApplicationProviderCommand";
import { DescribeInstanceAccessControlAttributeConfigurationCommand, } from "./commands/DescribeInstanceAccessControlAttributeConfigurationCommand";
import { DescribeInstanceCommand, } from "./commands/DescribeInstanceCommand";
import { DescribePermissionSetCommand, } from "./commands/DescribePermissionSetCommand";
import { DescribePermissionSetProvisioningStatusCommand, } from "./commands/DescribePermissionSetProvisioningStatusCommand";
import { DescribeTrustedTokenIssuerCommand, } from "./commands/DescribeTrustedTokenIssuerCommand";
import { DetachCustomerManagedPolicyReferenceFromPermissionSetCommand, } from "./commands/DetachCustomerManagedPolicyReferenceFromPermissionSetCommand";
import { DetachManagedPolicyFromPermissionSetCommand, } from "./commands/DetachManagedPolicyFromPermissionSetCommand";
import { GetApplicationAccessScopeCommand, } from "./commands/GetApplicationAccessScopeCommand";
import { GetApplicationAssignmentConfigurationCommand, } from "./commands/GetApplicationAssignmentConfigurationCommand";
import { GetApplicationAuthenticationMethodCommand, } from "./commands/GetApplicationAuthenticationMethodCommand";
import { GetApplicationGrantCommand, } from "./commands/GetApplicationGrantCommand";
import { GetInlinePolicyForPermissionSetCommand, } from "./commands/GetInlinePolicyForPermissionSetCommand";
import { GetPermissionsBoundaryForPermissionSetCommand, } from "./commands/GetPermissionsBoundaryForPermissionSetCommand";
import { ListAccountAssignmentCreationStatusCommand, } from "./commands/ListAccountAssignmentCreationStatusCommand";
import { ListAccountAssignmentDeletionStatusCommand, } from "./commands/ListAccountAssignmentDeletionStatusCommand";
import { ListAccountAssignmentsCommand, } from "./commands/ListAccountAssignmentsCommand";
import { ListAccountAssignmentsForPrincipalCommand, } from "./commands/ListAccountAssignmentsForPrincipalCommand";
import { ListAccountsForProvisionedPermissionSetCommand, } from "./commands/ListAccountsForProvisionedPermissionSetCommand";
import { ListApplicationAccessScopesCommand, } from "./commands/ListApplicationAccessScopesCommand";
import { ListApplicationAssignmentsCommand, } from "./commands/ListApplicationAssignmentsCommand";
import { ListApplicationAssignmentsForPrincipalCommand, } from "./commands/ListApplicationAssignmentsForPrincipalCommand";
import { ListApplicationAuthenticationMethodsCommand, } from "./commands/ListApplicationAuthenticationMethodsCommand";
import { ListApplicationGrantsCommand, } from "./commands/ListApplicationGrantsCommand";
import { ListApplicationProvidersCommand, } from "./commands/ListApplicationProvidersCommand";
import { ListApplicationsCommand, } from "./commands/ListApplicationsCommand";
import { ListCustomerManagedPolicyReferencesInPermissionSetCommand, } from "./commands/ListCustomerManagedPolicyReferencesInPermissionSetCommand";
import { ListInstancesCommand, } from "./commands/ListInstancesCommand";
import { ListManagedPoliciesInPermissionSetCommand, } from "./commands/ListManagedPoliciesInPermissionSetCommand";
import { ListPermissionSetProvisioningStatusCommand, } from "./commands/ListPermissionSetProvisioningStatusCommand";
import { ListPermissionSetsCommand, } from "./commands/ListPermissionSetsCommand";
import { ListPermissionSetsProvisionedToAccountCommand, } from "./commands/ListPermissionSetsProvisionedToAccountCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTrustedTokenIssuersCommand, } from "./commands/ListTrustedTokenIssuersCommand";
import { ProvisionPermissionSetCommand, } from "./commands/ProvisionPermissionSetCommand";
import { PutApplicationAccessScopeCommand, } from "./commands/PutApplicationAccessScopeCommand";
import { PutApplicationAssignmentConfigurationCommand, } from "./commands/PutApplicationAssignmentConfigurationCommand";
import { PutApplicationAuthenticationMethodCommand, } from "./commands/PutApplicationAuthenticationMethodCommand";
import { PutApplicationGrantCommand, } from "./commands/PutApplicationGrantCommand";
import { PutInlinePolicyToPermissionSetCommand, } from "./commands/PutInlinePolicyToPermissionSetCommand";
import { PutPermissionsBoundaryToPermissionSetCommand, } from "./commands/PutPermissionsBoundaryToPermissionSetCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateApplicationCommand, } from "./commands/UpdateApplicationCommand";
import { UpdateInstanceAccessControlAttributeConfigurationCommand, } from "./commands/UpdateInstanceAccessControlAttributeConfigurationCommand";
import { UpdateInstanceCommand, } from "./commands/UpdateInstanceCommand";
import { UpdatePermissionSetCommand, } from "./commands/UpdatePermissionSetCommand";
import { UpdateTrustedTokenIssuerCommand, } from "./commands/UpdateTrustedTokenIssuerCommand";
import { SSOAdminClient } from "./SSOAdminClient";
const commands = {
    AttachCustomerManagedPolicyReferenceToPermissionSetCommand,
    AttachManagedPolicyToPermissionSetCommand,
    CreateAccountAssignmentCommand,
    CreateApplicationCommand,
    CreateApplicationAssignmentCommand,
    CreateInstanceCommand,
    CreateInstanceAccessControlAttributeConfigurationCommand,
    CreatePermissionSetCommand,
    CreateTrustedTokenIssuerCommand,
    DeleteAccountAssignmentCommand,
    DeleteApplicationCommand,
    DeleteApplicationAccessScopeCommand,
    DeleteApplicationAssignmentCommand,
    DeleteApplicationAuthenticationMethodCommand,
    DeleteApplicationGrantCommand,
    DeleteInlinePolicyFromPermissionSetCommand,
    DeleteInstanceCommand,
    DeleteInstanceAccessControlAttributeConfigurationCommand,
    DeletePermissionsBoundaryFromPermissionSetCommand,
    DeletePermissionSetCommand,
    DeleteTrustedTokenIssuerCommand,
    DescribeAccountAssignmentCreationStatusCommand,
    DescribeAccountAssignmentDeletionStatusCommand,
    DescribeApplicationCommand,
    DescribeApplicationAssignmentCommand,
    DescribeApplicationProviderCommand,
    DescribeInstanceCommand,
    DescribeInstanceAccessControlAttributeConfigurationCommand,
    DescribePermissionSetCommand,
    DescribePermissionSetProvisioningStatusCommand,
    DescribeTrustedTokenIssuerCommand,
    DetachCustomerManagedPolicyReferenceFromPermissionSetCommand,
    DetachManagedPolicyFromPermissionSetCommand,
    GetApplicationAccessScopeCommand,
    GetApplicationAssignmentConfigurationCommand,
    GetApplicationAuthenticationMethodCommand,
    GetApplicationGrantCommand,
    GetInlinePolicyForPermissionSetCommand,
    GetPermissionsBoundaryForPermissionSetCommand,
    ListAccountAssignmentCreationStatusCommand,
    ListAccountAssignmentDeletionStatusCommand,
    ListAccountAssignmentsCommand,
    ListAccountAssignmentsForPrincipalCommand,
    ListAccountsForProvisionedPermissionSetCommand,
    ListApplicationAccessScopesCommand,
    ListApplicationAssignmentsCommand,
    ListApplicationAssignmentsForPrincipalCommand,
    ListApplicationAuthenticationMethodsCommand,
    ListApplicationGrantsCommand,
    ListApplicationProvidersCommand,
    ListApplicationsCommand,
    ListCustomerManagedPolicyReferencesInPermissionSetCommand,
    ListInstancesCommand,
    ListManagedPoliciesInPermissionSetCommand,
    ListPermissionSetProvisioningStatusCommand,
    ListPermissionSetsCommand,
    ListPermissionSetsProvisionedToAccountCommand,
    ListTagsForResourceCommand,
    ListTrustedTokenIssuersCommand,
    ProvisionPermissionSetCommand,
    PutApplicationAccessScopeCommand,
    PutApplicationAssignmentConfigurationCommand,
    PutApplicationAuthenticationMethodCommand,
    PutApplicationGrantCommand,
    PutInlinePolicyToPermissionSetCommand,
    PutPermissionsBoundaryToPermissionSetCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateApplicationCommand,
    UpdateInstanceCommand,
    UpdateInstanceAccessControlAttributeConfigurationCommand,
    UpdatePermissionSetCommand,
    UpdateTrustedTokenIssuerCommand,
};
export class SSOAdmin extends SSOAdminClient {
}
createAggregatedClient(commands, SSOAdmin);
